-- Copyright (C) 2017 Laurent Destailleur  <eldy@users.sourceforge.net>
--
-- This program is free software; you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation; either version 3 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program. If not, see <http://www.gnu.org/licenses/>.
--
--

--
-- Ne pas placer de commentaire en fin de ligne, ce fichier est parsé lors
-- de l'install et tous les sigles '--' sont supprimés.
--

--
-- Descriptif des plans comptables UK ENG-BASE 
-- ID 70000 - 79999
--

INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (71501, 'ENG-BASE', 'CAPIT',  'XXXXXX', '1', '0', 'Equity, provisions for liabilities and charges and liabilities at more than one year', 1);
INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (71502, 'ENG-BASE', 'IMMO',   'XXXXXX', '2', '0', 'Administration fees.Fixed assets and receivables over one year', 1);
INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (71503, 'ENG-BASE', 'STOCK',  'XXXXXX', '3', '0', 'Stock and orders running', 1);
INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (71504, 'ENG-BASE', 'TIERS',  'XXXXXX', '4', '0', 'Amounts receivable and payable within one year', 1);
INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (71505, 'ENG-BASE', 'FINAN',  'XXXXXX', '5', '0', 'Placing of cash and cash equivalents', 1);
INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (71506, 'ENG-BASE', 'CHARGE', 'XXXXXX', '6', '0', 'Charges', 1);
INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (71507, 'ENG-BASE', 'PROD',   'XXXXXX', '7', '0', 'Products', 1);

INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (70103, 'ENG-BASE', 'CAPIT', 'XXXXXX', '10', '71501', 'Capital and reserves', 1);
INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (70104, 'ENG-BASE', 'CAPIT', 'CAPITAL', '101', '70103', 'Capital', 1);
INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (70105, 'ENG-BASE', 'CAPIT', 'XXXXXX', '104', '70103', 'Share capital premiums', 1);
INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (70106, 'ENG-BASE', 'CAPIT', 'XXXXXX', '105', '70103', 'Revaluation differences', 1);
INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (70107, 'ENG-BASE', 'CAPIT', 'XXXXXX', '106', '70103', 'Stocks', 1);
INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (70108, 'ENG-BASE', 'CAPIT', 'XXXXXX', '107', '70103', 'Equivalence difference', 1);
INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (70109, 'ENG-BASE', 'CAPIT', 'XXXXXX', '108', '70103', 'Exploiting account', 1);
INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (70110, 'ENG-BASE', 'CAPIT', 'XXXXXX', '109', '70103', 'Shareholders: subscribed capital - not called', 1);
INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (70111, 'ENG-BASE', 'CAPIT', 'XXXXXX', '11', '71501', 'Retained balance (credit balance or debit)', 1);
INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (70112, 'ENG-BASE', 'CAPIT', 'XXXXXX', '110', '70111', 'Retained earnings (credit balance)', 1);
INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (70113, 'ENG-BASE', 'CAPIT', 'XXXXXX', '119', '70111', 'Retained earnings (debit balance)', 1);
INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (70114, 'ENG-BASE', 'CAPIT', 'XXXXXX', '12', '71501', 'YEAR PROFIT (profit or loss)', 1);
INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (70115, 'ENG-BASE', 'CAPIT', 'XXXXXX', '120', '70114', 'Profit for the year (profit)', 1);
INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (70116, 'ENG-BASE', 'CAPIT', 'XXXXXX', '129', '70114', 'Profit for the year (loss)', 1);
INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (70117, 'ENG-BASE', 'CAPIT', 'XXXXXX', '13', '71501', 'Investment grants', 1);
INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (70118, 'ENG-BASE', 'CAPIT', 'XXXXXX', '131', '70117', 'Equipment Grants', 1);
INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (70119, 'ENG-BASE', 'CAPIT', 'XXXXXX', '138', '70117', 'Other investment grants', 1);
INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (70120, 'ENG-BASE', 'CAPIT', 'XXXXXX', '139', '70117', 'Investment subsidies entered in the income statement', 1);
INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (70121, 'ENG-BASE', 'CAPIT', 'XXXXXX', '14', '71501', 'Regulated provisions', 1);
INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (70122, 'ENG-BASE', 'CAPIT', 'XXXXXX', '142', '70121', 'Regulated Provisions for Capital Assets', 1);
INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (70123, 'ENG-BASE', 'CAPIT', 'XXXXXX', '143', '70121', 'Regulated inventory provisions', 1);
INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (70124, 'ENG-BASE', 'CAPIT', 'XXXXXX', '144', '70121', 'Regulated provisions for other assets', 1);
INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (70125, 'ENG-BASE', 'CAPIT', 'XXXXXX', '145', '70121', 'Accelerated depreciation', 1);
INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (70126, 'ENG-BASE', 'CAPIT', 'XXXXXX', '146', '70121', 'Special Revaluation Provision', 1);
INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (70127, 'ENG-BASE', 'CAPIT', 'XXXXXX', '147', '70121', 'Reinvested capital gains', 1);
INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (70128, 'ENG-BASE', 'CAPIT', 'XXXXXX', '148', '70121', 'Other regulated provisions', 1);
INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (70129, 'ENG-BASE', 'CAPIT', 'XXXXXX', '15', '71501', 'Provisions for risks and charges', 1);
INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (70130, 'ENG-BASE', 'CAPIT', 'XXXXXX', '151', '70129', 'Risk provisions', 1);
INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (70131, 'ENG-BASE', 'CAPIT', 'XXXXXX', '153', '70129', 'Provisions for pensions and similar obligations', 1);
INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (70132, 'ENG-BASE', 'CAPIT', 'XXXXXX', '154', '70129', 'Provisions for restructuring', 1);
INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (70133, 'ENG-BASE', 'CAPIT', 'XXXXXX', '155', '70129', 'Provisions for taxes', 1);
INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (70134, 'ENG-BASE', 'CAPIT', 'XXXXXX', '156', '70129', 'Provisions for renewal of fixed assets (concessionary companies)', 1);
INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (70135, 'ENG-BASE', 'CAPIT', 'XXXXXX', '157', '70129', 'Provisions for expenses to be allocated over several financial years', 1);
INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (70136, 'ENG-BASE', 'CAPIT', 'XXXXXX', '158', '70129', 'Other provisions for charges', 1);
INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (70137, 'ENG-BASE', 'CAPIT', 'XXXXXX', '16', '71501', 'Borrowings and similar liabilities', 1);
INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (70138, 'ENG-BASE', 'CAPIT', 'XXXXXX', '161', '70137', 'Convertible bonds', 1);
INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (70139, 'ENG-BASE', 'CAPIT', 'XXXXXX', '163', '70137', 'Other bonds', 1);
INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (70140, 'ENG-BASE', 'CAPIT', 'XXXXXX', '164', '70137', 'Borrowings from credit institutions', 1);
INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (70141, 'ENG-BASE', 'CAPIT', 'XXXXXX', '165', '70137', 'Deposits and surety bonds received', 1);
INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (70142, 'ENG-BASE', 'CAPIT', 'XXXXXX', '166', '70137', 'Employee participation in results', 1);
INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (70143, 'ENG-BASE', 'CAPIT', 'XXXXXX', '167', '70137', 'Borrowings and debts with special conditions', 1);
INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (70144, 'ENG-BASE', 'CAPIT', 'XXXXXX', '168', '70137', 'Other borrowings and similar liabilities', 1);
INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (70145, 'ENG-BASE', 'CAPIT', 'XXXXXX', '169', '70137', 'Bond redemption premiums', 1);
INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (70146, 'ENG-BASE', 'CAPIT', 'XXXXXX', '17', '71501', 'Debts related to participations', 1);
INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (70147, 'ENG-BASE', 'CAPIT', 'XXXXXX', '171', '70146', 'Debts related to investments (group)', 1);
INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (70148, 'ENG-BASE', 'CAPIT', 'XXXXXX', '174', '70146', 'Debt related to participations (excluding group)', 1);
INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (70149, 'ENG-BASE', 'CAPIT', 'XXXXXX', '178', '70146', 'Debts related to joint ventures', 1);
INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (70150, 'ENG-BASE', 'CAPIT', 'XXXXXX', '18', '71501', 'Liaison accounts of establishments and joint ventures', 1);
INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (70151, 'ENG-BASE', 'CAPIT', 'XXXXXX', '181', '70150', 'Liaison Accounts of Establishments', 1);
INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (70152, 'ENG-BASE', 'CAPIT', 'XXXXXX', '186', '70150', 'Goods and services exchanged between establishments (charges)', 1);
INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (70153, 'ENG-BASE', 'CAPIT', 'XXXXXX', '187', '70150', 'Goods and services exchanged between establishments (products)', 1);
INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (70154, 'ENG-BASE', 'CAPIT', 'XXXXXX', '188', '70150', 'Joint-venture Liabilities', 1);
INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (70155, 'ENG-BASE', 'IMMO', 'XXXXXX', '20', '71502', 'Intangible assets', 1);
INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (70156, 'ENG-BASE', 'IMMO', 'XXXXXX', '201', '70155', 'Administration fees', 1);
INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (70157, 'ENG-BASE', 'IMMO', 'XXXXXX', '203', '70155', 'Research and development costs', 1);
INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (70158, 'ENG-BASE', 'IMMO', 'XXXXXX', '205', '70155', 'Concessions and similar rights, patents, licenses, trademarks, processes, software, rights and similar values', 1);
INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (70159, 'ENG-BASE', 'IMMO', 'XXXXXX', '206', '70155', 'Right to lease', 1);
INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (70160, 'ENG-BASE', 'IMMO', 'XXXXXX', '207', '70155', 'Commercial funds', 1);
INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (70161, 'ENG-BASE', 'IMMO', 'XXXXXX', '208', '70155', 'Other intangible assets', 1);
INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (70162, 'ENG-BASE', 'IMMO', 'XXXXXX', '21', '71502', 'Property, plant and equipment', 1);
INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (70163, 'ENG-BASE', 'IMMO', 'XXXXXX', '211', '70162', 'Grounds', 1);
INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (70164, 'ENG-BASE', 'IMMO', 'XXXXXX', '212', '70162', 'Fittings and landscaping', 1);
INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (70165, 'ENG-BASE', 'IMMO', 'XXXXXX', '213', '70162', 'Constructions', 1);
INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (70166, 'ENG-BASE', 'IMMO', 'XXXXXX', '214', '70162', 'Constructions on the ground of others', 1);
INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (70167, 'ENG-BASE', 'IMMO', 'XXXXXX', '215', '70162', 'Industrial installations, equipment and tools', 1);
INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (70168, 'ENG-BASE', 'IMMO', 'XXXXXX', '218', '70162', 'Other tangible fixed assets', 1);
INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (70169, 'ENG-BASE', 'IMMO', 'XXXXXX', '22', '71502', 'Assets under concession', 1);
INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (70170, 'ENG-BASE', 'IMMO', 'XXXXXX', '23', '71502', 'Assets in progress', 1);
INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (70171, 'ENG-BASE', 'IMMO', 'XXXXXX', '231', '70170', 'investments in progress', 1);
INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (70172, 'ENG-BASE', 'IMMO', 'XXXXXX', '232', '70170', 'Intangible assets in progress', 1);
INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (70173, 'ENG-BASE', 'IMMO', 'XXXXXX', '237', '70170', 'Advances and advances paid on intangible assets', 1);
INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (70174, 'ENG-BASE', 'IMMO', 'XXXXXX', '238', '70170', 'Advances and payments on orders for property, plant and equipment', 1);
INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (70175, 'ENG-BASE', 'IMMO', 'XXXXXX', '25', '71502', 'Shares in affiliated undertakings and claims on affiliated undertakings', 1);
INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (70176, 'ENG-BASE', 'IMMO', 'XXXXXX', '26', '71502', 'Investments and receivables from investments', 1);
INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (70177, 'ENG-BASE', 'IMMO', 'XXXXXX', '261', '70176', 'Equity securities', 1);
INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (70178, 'ENG-BASE', 'IMMO', 'XXXXXX', '266', '70176', 'Other forms of participation', 1);
INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (70179, 'ENG-BASE', 'IMMO', 'XXXXXX', '267', '70176', 'Receivables related to equity investments', 1);
INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (70180, 'ENG-BASE', 'IMMO', 'XXXXXX', '268', '70176', 'Receivables from joint ventures', 1);
INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (70181, 'ENG-BASE', 'IMMO', 'XXXXXX', '269', '70176', 'Payments still to be made on non-paid equity securities', 1);
INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (70182, 'ENG-BASE', 'IMMO', 'XXXXXX', '27', '71502', 'Other financial assets', 1);
INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (70183, 'ENG-BASE', 'IMMO', 'XXXXXX', '271', '70183', 'Fixed assets other than fixed assets of the portfolio business (ownership)', 1);
INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (70184, 'ENG-BASE', 'IMMO', 'XXXXXX', '272', '70183', 'Locked-in securities (debt)', 1);
INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (70185, 'ENG-BASE', 'IMMO', 'XXXXXX', '273', '70183', 'Fixed assets from portfolio activity', 1);
INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (70186, 'ENG-BASE', 'IMMO', 'XXXXXX', '274', '70183', 'Loans', 1);
INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (70187, 'ENG-BASE', 'IMMO', 'XXXXXX', '275', '70183', 'Deposits paid', 1);
INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (70188, 'ENG-BASE', 'IMMO', 'XXXXXX', '276', '70183', 'Other receivables', 1);
INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (70189, 'ENG-BASE', 'IMMO', 'XXXXXX', '277', '70183', 'Treasury shares or own shares', 1);
INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (70190, 'ENG-BASE', 'IMMO', 'XXXXXX', '279', '70183', 'Payments still to be made on non-paid-up capital securities', 1);
INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (70191, 'ENG-BASE', 'IMMO', 'XXXXXX', '28', '71502', 'Amortization of fixed assets', 1);
INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (70192, 'ENG-BASE', 'IMMO', 'XXXXXX', '280', '70191', 'Amortization of intangible assets', 1);
INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (70193, 'ENG-BASE', 'IMMO', 'XXXXXX', '281', '70191', 'Amortization of property, plant and equipment', 1);
INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (70194, 'ENG-BASE', 'IMMO', 'XXXXXX', '282', '70191', 'Amortization of concession assets', 1);
INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (70195, 'ENG-BASE', 'IMMO', 'XXXXXX', '29', '71502', 'Impairment of fixed assets', 1);
INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (70196, 'ENG-BASE', 'IMMO', 'XXXXXX', '290', '70195', 'Impairment of intangible assets', 1);
INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (70197, 'ENG-BASE', 'IMMO', 'XXXXXX', '291', '70195', 'Impairment of property, plant and equipment', 1);
INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (70198, 'ENG-BASE', 'IMMO', 'XXXXXX', '292', '70195', 'Impairment of fixed assets under concession', 1);
INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (70199, 'ENG-BASE', 'IMMO', 'XXXXXX', '293', '70195', 'Impairment of fixed assets', 1);
INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (70200, 'ENG-BASE', 'IMMO', 'XXXXXX', '296', '70195', 'Provisions for impairment of investments and receivables from investments', 1);
INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (70201, 'ENG-BASE', 'IMMO', 'XXXXXX', '297', '70195', 'Provisions for impairment of other long-term investments', 1);
INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (70202, 'ENG-BASE', 'STOCK', 'XXXXXX', '31', '71503', 'Raw materials (and supplies)', 1);
INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (70203, 'ENG-BASE', 'STOCK', 'XXXXXX', '311', '70202', 'Subjects (or group) A', 1);
INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (70204, 'ENG-BASE', 'STOCK', 'XXXXXX', '312', '70202', 'Subjects (or group) B', 1);
INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (70205, 'ENG-BASE', 'STOCK', 'XXXXXX', '317', '70202', 'Supplies A, B, C,', 1);
INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (70206, 'ENG-BASE', 'STOCK', 'XXXXXX', '32', '71503', 'Other supplies', 1);
INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (70207, 'ENG-BASE', 'STOCK', 'XXXXXX', '321', '70206', 'Consumable Materials', 1);
INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (70208, 'ENG-BASE', 'STOCK', 'XXXXXX', '322', '70206', 'Supplies', 1);
INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (70209, 'ENG-BASE', 'STOCK', 'XXXXXX', '326', '70206', 'Packaging', 1);
INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (70210, 'ENG-BASE', 'STOCK', 'XXXXXX', '33', '71503', 'Ongoing production of goods', 1);
INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (70211, 'ENG-BASE', 'STOCK', 'XXXXXX', '331', '70210', 'Products in Progress', 1);
INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (70212, 'ENG-BASE', 'STOCK', 'XXXXXX', '335', '70210', 'Work in progress', 1);
INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (70213, 'ENG-BASE', 'STOCK', 'XXXXXX', '34', '71503', 'On-going production of services', 1);
INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (70214, 'ENG-BASE', 'STOCK', 'XXXXXX', '341', '70213', 'Ongoing studies', 1);
INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (70215, 'ENG-BASE', 'STOCK', 'XXXXXX', '345', '70213', 'Ongoing services', 1);
INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (70216, 'ENG-BASE', 'STOCK', 'XXXXXX', '35', '71503', 'Stocks of products', 1);
INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (70217, 'ENG-BASE', 'STOCK', 'XXXXXX', '351', '70216', 'Intermediate products', 1);
INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (70218, 'ENG-BASE', 'STOCK', 'XXXXXX', '355', '70216', 'Finished products', 1);
INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (70219, 'ENG-BASE', 'STOCK', 'XXXXXX', '358', '70216', 'Residual products (or recovered materials)', 1);
INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (70220, 'ENG-BASE', 'STOCK', 'XXXXXX', '37', '71503', 'Stocks of goods', 1);
INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (70221, 'ENG-BASE', 'STOCK', 'XXXXXX', '371', '70220', 'Goods (or group) A', 1);
INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (70222, 'ENG-BASE', 'STOCK', 'XXXXXX', '372', '70220', 'Goods (or group) B', 1);
INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (70223, 'ENG-BASE', 'STOCK', 'XXXXXX', '39', '1503', 'Provisions for depreciation of inventories and work in progress', 1);
INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (70224, 'ENG-BASE', 'STOCK', 'XXXXXX', '391', '70223', 'Provisions for depreciation of raw materials', 1);
INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (70225, 'ENG-BASE', 'STOCK', 'XXXXXX', '392', '70223', 'Provisions for depreciation of other supplies', 1);
INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (70226, 'ENG-BASE', 'STOCK', 'XXXXXX', '393', '70223', 'Provisions for depreciation of work in progress', 1);
INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (70227, 'ENG-BASE', 'STOCK', 'XXXXXX', '394', '70223', 'Provisions for depreciation of work in process', 1);
INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (70228, 'ENG-BASE', 'STOCK', 'XXXXXX', '395', '70223', 'Provisions for depreciation of inventories of products', 1);
INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (70229, 'ENG-BASE', 'STOCK', 'XXXXXX', '397', '70223', 'Provisions for depreciation of inventories of goods', 1);
INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (70230, 'ENG-BASE', 'TIERS', 'XXXXXX', '40', '71504', 'Accounts payable', 1);
INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (70231, 'ENG-BASE', 'TIERS', 'XXXXXX', '400', '70230', 'Accounts payable', 1);
INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (70232, 'ENG-BASE', 'TIERS', 'SUPPLIER', '401', '70230', 'Suppliers', 1);
INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (70233, 'ENG-BASE', 'TIERS', 'XXXXXX', '403', '70230', 'Suppliers - Payables', 1);
INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (70234, 'ENG-BASE', 'TIERS', 'XXXXXX', '404', '70230', 'Suppliers of fixed assets', 1);
INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (70235, 'ENG-BASE', 'TIERS', 'XXXXXX', '405', '70230', 'Capital Suppliers - Payables', 1);
INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (70236, 'ENG-BASE', 'TIERS', 'XXXXXX', '408', '70230', 'Supplier invoices not yet received', 1);
INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (70237, 'ENG-BASE', 'TIERS', 'XXXXXX', '409', '70230', 'Debtors suppliers', 1);
INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (70238, 'ENG-BASE', 'TIERS', 'XXXXXX', '41', '71504', 'Accounts receivable', 1);
INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (70239, 'ENG-BASE', 'TIERS', 'XXXXXX', '410', '70238', 'Customers and Related Accounts', 1);
INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (70240, 'ENG-BASE', 'TIERS', 'CUSTOMER', '411', '70238', 'Customers', 1);
INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (70241, 'ENG-BASE', 'TIERS', 'XXXXXX', '413', '70238', 'Accounts Receivable', 1);
INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (70242, 'ENG-BASE', 'TIERS', 'XXXXXX', '416', '70238', 'Doubtful or contentious customers', 1);
INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (70243, 'ENG-BASE', 'TIERS', 'XXXXXX', '418', '70238', 'Customers - Products not yet billed', 1);
INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (70244, 'ENG-BASE', 'TIERS', 'XXXXXX', '419', '70238', 'Accounts payable', 1);
INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (70245, 'ENG-BASE', 'TIERS', 'XXXXXX', '42', '71504', 'Personnel and related accounts', 1);
INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (70246, 'ENG-BASE', 'TIERS', 'XXXXXX', '421', '70245', 'Staff - Remuneration due', 1);
INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (70247, 'ENG-BASE', 'TIERS', 'XXXXXX', '422', '70245', 'Works councils, establishment, ...', 1);
INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (70248, 'ENG-BASE', 'TIERS', 'XXXXXX', '424', '70245', 'Employee participation in results', 1);
INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (70249, 'ENG-BASE', 'TIERS', 'XXXXXX', '425', '70245', 'Staff - Advances and Advances', 1);
INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (70250, 'ENG-BASE', 'TIERS', 'XXXXXX', '426', '70245', 'Staff - Deposits', 1);
INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (70251, 'ENG-BASE', 'TIERS', 'XXXXXX', '427', '70245', 'Staff - Oppositions', 1);
INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (70252, 'ENG-BASE', 'TIERS', 'XXXXXX', '428', '70245', 'Personnel - Accrued expenses and accrued income', 1);
INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (70253, 'ENG-BASE', 'TIERS', 'XXXXXX', '43', '71504', 'Social security and other social organizations', 1);
INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (70254, 'ENG-BASE', 'TIERS', 'XXXXXX', '431', '70253', 'Social Security', 1);
INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (70255, 'ENG-BASE', 'TIERS', 'XXXXXX', '437', '70253', 'Other social organizations', 1);
INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (70256, 'ENG-BASE', 'TIERS', 'XXXXXX', '438', '70253', 'Social organizations - Accrued expenses and accrued income', 1);
INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (70257, 'ENG-BASE', 'TIERS', 'XXXXXX', '44', '71504', 'State and other public authorities', 1);
INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (70258, 'ENG-BASE', 'TIERS', 'XXXXXX', '441', '70257', 'Status - Grants Receivable', 1);
INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (70259, 'ENG-BASE', 'TIERS', 'XXXXXX', '442', '70257', 'Statement - Taxes and taxes recoverable on third parties', 1);
INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (70260, 'ENG-BASE', 'TIERS', 'XXXXXX', '443', '70257', 'Special operations with the State, public authorities, international organizations', 1);
INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (70261, 'ENG-BASE', 'TIERS', 'XXXXXX', '444', '70257', 'State - Income taxes', 1);
INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (70262, 'ENG-BASE', 'TIERS', 'XXXXXX', '445', '70257', 'State - Taxes on turnover', 1);
INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (70263, 'ENG-BASE', 'TIERS', 'XXXXXX', '446', '70257', 'Bonded Bonds', 1);
INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (70264, 'ENG-BASE', 'TIERS', 'XXXXXX', '447', '70257', 'Other taxes, duties and similar payments', 1);
INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (70265, 'ENG-BASE', 'TIERS', 'XXXXXX', '448', '70257', 'Statement of Accounts Payable and Accrued Income', 1);
INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (70266, 'ENG-BASE', 'TIERS', 'XXXXXX', '449', '70257', 'Emission quotas to be returned to the State', 1);
INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (70267, 'ENG-BASE', 'TIERS', 'XXXXXX', '45', '71504', 'Group and Associates', 1);
INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (70268, 'ENG-BASE', 'TIERS', 'XXXXXX', '451', '70267', 'Group', 1);
INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (70269, 'ENG-BASE', 'TIERS', 'XXXXXX', '455', '70267', 'Associates - Current Accounts', 1);
INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (70270, 'ENG-BASE', 'TIERS', 'XXXXXX', '456', '70267', 'Associates - Capital transactions', 1);
INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (70271, 'ENG-BASE', 'TIERS', 'XXXXXX', '457', '70267', 'Associates - Dividends payable', 1);
INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (70272, 'ENG-BASE', 'TIERS', 'XXXXXX', '458', '70267', 'Associates- Joint and EIG Operations', 1);
INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (70273, 'ENG-BASE', 'TIERS', 'XXXXXX', '46', '71504', 'Miscellaneous receivables and creditors', 1);
INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (70274, 'ENG-BASE', 'TIERS', 'XXXXXX', '462', '70273', 'Receivables on disposals of fixed assets', 1);
INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (70275, 'ENG-BASE', 'TIERS', 'XXXXXX', '464', '70273', 'Debts on acquisitions of marketable securities', 1);
INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (70276, 'ENG-BASE', 'TIERS', 'XXXXXX', '465', '70273', 'Receivables on disposals of marketable securities', 1);
INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (70277, 'ENG-BASE', 'TIERS', 'XXXXXX', '467', '70273', 'Other accounts receivable or payable', 1);
INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (70278, 'ENG-BASE', 'TIERS', 'XXXXXX', '468', '70273', 'Miscellaneous - Accrued expenses and accrued income', 1);
INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (70279, 'ENG-BASE', 'TIERS', 'XXXXXX', '47', '71504', 'Transition or suspense accounts', 1);
INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (70280, 'ENG-BASE', 'TIERS', 'XXXXXX', '471', '70279', 'Waiting Accounts', 1);
INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (70281, 'ENG-BASE', 'TIERS', 'XXXXXX', '476', '70279', 'Conversion Difference - Assets', 1);
INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (70282, 'ENG-BASE', 'TIERS', 'XXXXXX', '477', '70279', 'Translation differences - Liabilities', 1);
INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (70283, 'ENG-BASE', 'TIERS', 'XXXXXX', '478', '70279', 'Other transitional accounts', 1);
INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (70284, 'ENG-BASE', 'TIERS', 'XXXXXX', '48', '71504', 'regularisation account', 1);
INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (70285, 'ENG-BASE', 'TIERS', 'XXXXXX', '481', '70284', 'Expenses to be spread over several financial years', 1);
INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (70286, 'ENG-BASE', 'TIERS', 'XXXXXX', '486', '70284', 'Prepaid expenses', 1);
INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (70287, 'ENG-BASE', 'TIERS', 'XXXXXX', '487', '70284', 'Deferred income', 1);
INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (70288, 'ENG-BASE', 'TIERS', 'XXXXXX', '488', '70284', 'Accounts for the periodic distribution of expenses and revenues', 1);
INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (70289, 'ENG-BASE', 'TIERS', 'XXXXXX', '489', '70284', 'Emission allowances allocated by the State', 1);
INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (70290, 'ENG-BASE', 'TIERS', 'XXXXXX', '49', '71504', 'Provisions for depreciation of third party accounts', 1);
INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (70291, 'ENG-BASE', 'TIERS', 'XXXXXX', '491', '70290', 'Provisions for depreciation of customer accounts', 1);
INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (70292, 'ENG-BASE', 'TIERS', 'XXXXXX', '495', '70290', 'Provisions for impairment of group and associate accounts', 1);
INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (70293, 'ENG-BASE', 'TIERS', 'XXXXXX', '496', '70290', 'Provisions for depreciation of accounts receivable', 1);
INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (70294, 'ENG-BASE', 'FINAN', 'XXXXXX', '50', '71505', 'Marketable securities', 1);
INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (70295, 'ENG-BASE', 'FINAN', 'XXXXXX', '501', '70294', 'Shares in related companies', 1);
INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (70296, 'ENG-BASE', 'FINAN', 'XXXXXX', '502', '70294', 'Treasury shares', 1);
INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (70297, 'ENG-BASE', 'FINAN', 'XXXXXX', '503', '70294', 'Stock', 0, NULL, 1, 1);
INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (70298, 'ENG-BASE', 'FINAN', 'XXXXXX', '504', '70294', 'Other titles conferring a right of ownership', 1);
INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (70299, 'ENG-BASE', 'FINAN', 'XXXXXX', '505', '70294', 'Bonds and bonds issued by the company and repurchased by it', 1);
INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (70300, 'ENG-BASE', 'FINAN', 'XXXXXX', '506', '70294', 'Obligations', 1);
INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (70301, 'ENG-BASE', 'FINAN', 'XXXXXX', '507', '70294', 'Treasury bills and short-term bills', 1);
INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (70302, 'ENG-BASE', 'FINAN', 'XXXXXX', '508', '70294', 'Other marketable securities and other assimilated claims', 1);
INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (70303, 'ENG-BASE', 'FINAN', 'XXXXXX', '509', '70294', 'Payments still to be made on undistributed investment securities', 1);
INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (70304, 'ENG-BASE', 'FINAN', 'XXXXXX', '51', '71505', 'Banks, financial institutions and the like', 1);
INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (70305, 'ENG-BASE', 'FINAN', 'XXXXXX', '511', '70304', 'Cash values', 1);
INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (70306, 'ENG-BASE', 'FINAN', 'BANK', '512', '70304', 'Banks', 1);
INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (70307, 'ENG-BASE', 'FINAN', 'XXXXXX', '514', '70304', 'Postal checks', 1);
INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (70308, 'ENG-BASE', 'FINAN', 'XXXXXX', '515', '70304', 'Caisses of the Treasury and public institutions', 1);
INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (70309, 'ENG-BASE', 'FINAN', 'XXXXXX', '516', '70304', 'Exchange companies', 1);
INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (70310, 'ENG-BASE', 'FINAN', 'XXXXXX', '517', '70304', 'Other financial institutions', 1);
INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (70311, 'ENG-BASE', 'FINAN', 'XXXXXX', '518', '70304', 'Accrued interest', 1);
INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (70312, 'ENG-BASE', 'FINAN', 'XXXXXX', '519', '70304', 'Bank overdrafts', 1);
INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (70313, 'ENG-BASE', 'FINAN', 'XXXXXX', '52', '71505', 'Treasury instruments', 1);
INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (70314, 'ENG-BASE', 'FINAN', 'CASH', '53', '71505', 'Checkout', 1);
INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (70315, 'ENG-BASE', 'FINAN', 'XXXXXX', '531', '70314', 'Head Office', 1);
INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (70316, 'ENG-BASE', 'FINAN', 'XXXXXX', '532', '70314', 'Cash box (or factory) A', 1);
INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (70317, 'ENG-BASE', 'FINAN', 'XXXXXX', '533', '70314', 'Cash box (or factory) B', 1);
INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (70318, 'ENG-BASE', 'FINAN', 'XXXXXX', '54', '71505', 'Advance and Flow-Through', 1);
INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (70319, 'ENG-BASE', 'FINAN', 'XXXXXX', '58', '71505', 'Internal transfers', 1);
INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (70320, 'ENG-BASE', 'FINAN', 'XXXXXX', '59', '71505', 'Provisions for impairment of financial accounts', 1);
INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (70321, 'ENG-BASE', 'FINAN', 'XXXXXX', '590', '70320', 'Provisions for depreciation of marketable securities', 1);
INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (70322, 'ENG-BASE', 'CHARGE', 'PRODUCT', '60', '71506', 'Shopping', 1);
INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (70323, 'ENG-BASE', 'CHARGE', 'XXXXXX', '601', '70322', 'Stored Procurement - Raw Materials (and Supplies)', 1);
INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (70324, 'ENG-BASE', 'CHARGE', 'XXXXXX', '602', '70322', 'Stored Procurement - Other Supplies', 1);
INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (70325, 'ENG-BASE', 'CHARGE', 'XXXXXX', '603', '70322', 'Inventory Changes (Supplies and Commodities)', 1);
INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (70326, 'ENG-BASE', 'CHARGE', 'XXXXXX', '604', '70322', 'Stored Procurement - Raw Materials (and Supplies)', 1);
INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (70327, 'ENG-BASE', 'CHARGE', 'XXXXXX', '605', '70322', 'Purchase of equipment, works and equipment', 1);
INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (70328, 'ENG-BASE', 'CHARGE', 'XXXXXX', '606', '70322', 'Non-stock purchases of materials and supplies', 1);
INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (70329, 'ENG-BASE', 'CHARGE', 'XXXXXX', '607', '70322', 'Purchases of goods', 1);
INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (70330, 'ENG-BASE', 'CHARGE', 'XXXXXX', '608', '70322', 'Reserved account, where applicable, to the recapitulation of incidental expenses included in purchases', 1);
INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (70331, 'ENG-BASE', 'CHARGE', 'XXXXXX', '609', '70322', 'Discounts, rebates and rebates obtained on purchases', 1);
INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (70332, 'ENG-BASE', 'CHARGE', 'SERVICE', '61', '71506', 'Outside services', 1);
INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (70333, 'ENG-BASE', 'CHARGE', 'XXXXXX', '611', '70332', 'General subcontracting', 1);
INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (70334, 'ENG-BASE', 'CHARGE', 'XXXXXX', '612', '70332', 'Lease payments', 1);
INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (70335, 'ENG-BASE', 'CHARGE', 'XXXXXX', '613', '70332', 'Rentals', 0, NULL, 1, 1);
INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (70336, 'ENG-BASE', 'CHARGE', 'XXXXXX', '614', '70332', 'Rental and condominium expenses', 1);
INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (70337, 'ENG-BASE', 'CHARGE', 'XXXXXX', '615', '70332', 'Maintenance and repairs', 1);
INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (70338, 'ENG-BASE', 'CHARGE', 'XXXXXX', '616', '70332', 'Insurance premiums', 1);
INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (70339, 'ENG-BASE', 'CHARGE', 'XXXXXX', '617', '70332', 'Studies and research', 1);
INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (70340, 'ENG-BASE', 'CHARGE', 'XXXXXX', '618', '70332', 'Various', 1);
INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (70341, 'ENG-BASE', 'CHARGE', 'XXXXXX', '619', '70332', 'Discounts, rebates and rebates obtained on external services', 1);
INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (70342, 'ENG-BASE', 'CHARGE', 'XXXXXX', '62', '71506', 'Other services', 1);
INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (70343, 'ENG-BASE', 'CHARGE', 'XXXXXX', '621', '70342', 'Staff outside the company', 1);
INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (70344, 'ENG-BASE', 'CHARGE', 'XXXXXX', '622', '70342', 'Remuneration of intermediaries and fees', 1);
INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (70345, 'ENG-BASE', 'CHARGE', 'XXXXXX', '623', '70342', 'Advertising, publications, public relations', 1);
INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (70346, 'ENG-BASE', 'CHARGE', 'XXXXXX', '624', '70342', 'Transport of goods and public transport of personnel', 1);
INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (70347, 'ENG-BASE', 'CHARGE', 'XXXXXX', '625', '70342', 'Travel, missions and receptions', 1);
INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (70348, 'ENG-BASE', 'CHARGE', 'XXXXXX', '626', '70342', 'Postal and telecommunications costs', 1);
INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (70349, 'ENG-BASE', 'CHARGE', 'XXXXXX', '627', '70342', 'Banking and related services', 1);
INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (70350, 'ENG-BASE', 'CHARGE', 'XXXXXX', '628', '70342', 'Various', 1);
INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (70351, 'ENG-BASE', 'CHARGE', 'XXXXXX', '629', '70342', 'Discounts, rebates and rebates obtained on other external services', 1);
INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (70352, 'ENG-BASE', 'CHARGE', 'XXXXXX', '63', '71506', 'Taxes other and payments', 1);
INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (70353, 'ENG-BASE', 'CHARGE', 'XXXXXX', '631', '70352', 'Taxes and similar payments on remuneration (tax administrations)', 1);
INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (70354, 'ENG-BASE', 'CHARGE', 'XXXXXX', '633', '70352', 'Taxes and similar payments on remuneration (other bodies)', 1);
INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (70355, 'ENG-BASE', 'CHARGE', 'XXXXXX', '635', '70352', 'Other taxes, duties and similar payments (tax administrations)', 1);
INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (70356, 'ENG-BASE', 'CHARGE', 'XXXXXX', '637', '70352', 'Other taxes, duties and similar payments (other bodies)', 1);
INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (70357, 'ENG-BASE', 'CHARGE', 'XXXXXX', '64', '71506', 'Staff costs', 1);
INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (70358, 'ENG-BASE', 'CHARGE', 'XXXXXX', '641', '70357', 'Remuneration of staff', 1);
INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (70359, 'ENG-BASE', 'CHARGE', 'XXXXXX', '644', '70357', 'Remuneration of the operator''s work', 1);
INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (70360, 'ENG-BASE', 'CHARGE', 'SOCIAL', '645', '70357', 'Social Security and Welfare Expenses', 1);
INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (70361, 'ENG-BASE', 'CHARGE', 'XXXXXX', '646', '70357', 'Personal social contributions of the operator', 1);
INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (70362, 'ENG-BASE', 'CHARGE', 'XXXXXX', '647', '70357', 'Other payroll taxes', 1);
INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (70363, 'ENG-BASE', 'CHARGE', 'XXXXXX', '648', '70357', 'Other staff costs', 1);
INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (70364, 'ENG-BASE', 'CHARGE', 'XXXXXX', '65', '71506', 'Other current operating expenses', 1);
INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (70365, 'ENG-BASE', 'CHARGE', 'XXXXXX', '651', '70364', 'Royalties for concessions, patents, licenses, trademarks, processes, software, rights and similar values', 1);
INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (70366, 'ENG-BASE', 'CHARGE', 'XXXXXX', '653', '70364', 'Attendance fees', 1);
INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (70367, 'ENG-BASE', 'CHARGE', 'XXXXXX', '654', '70364', 'Loss on bad debts', 1);
INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (70368, 'ENG-BASE', 'CHARGE', 'XXXXXX', '655', '70364', 'Share of profit or loss on transactions made jointly', 1);
INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (70369, 'ENG-BASE', 'CHARGE', 'XXXXXX', '658', '70364', 'Miscellaneous operating expenses', 1);
INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (70370, 'ENG-BASE', 'CHARGE', 'XXXXXX', '66', '71506', 'Financial expenses', 1);
INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (70371, 'ENG-BASE', 'CHARGE', 'XXXXXX', '661', '70370', 'Interest charges', 1);
INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (70372, 'ENG-BASE', 'CHARGE', 'XXXXXX', '664', '70370', 'Loss on receivables related to investments', 1);
INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (70373, 'ENG-BASE', 'CHARGE', 'XXXXXX', '665', '70370', 'Discounts granted', 1);
INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (70374, 'ENG-BASE', 'CHARGE', 'XXXXXX', '666', '70370', 'Exchange losses', 1);
INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (70375, 'ENG-BASE', 'CHARGE', 'XXXXXX', '667', '70370', 'Net expense on disposals of marketable securities', 1);
INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (70376, 'ENG-BASE', 'CHARGE', 'XXXXXX', '668', '70370', 'Other financial expenses', 1);
INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (70377, 'ENG-BASE', 'CHARGE', 'XXXXXX', '67', '71506', 'Extraordinary charges', 1);
INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (70378, 'ENG-BASE', 'CHARGE', 'XXXXXX', '671', '70377', 'Exceptional charges on management operations', 1);
INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (70379, 'ENG-BASE', 'CHARGE', 'XXXXXX', '672', '70377', 'Account available to entities to record, in the course of the financial year, expenses over previous financial years', 1);
INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (70380, 'ENG-BASE', 'CHARGE', 'XXXXXX', '675', '70377', 'Book value of assets sold', 1);
INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (70381, 'ENG-BASE', 'CHARGE', 'XXXXXX', '678', '70377', 'Other extraordinary expenses', 1);
INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (70382, 'ENG-BASE', 'CHARGE', 'XXXXXX', '68', '71506', 'Depreciation, amortization and provisions', 1);
INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (70383, 'ENG-BASE', 'CHARGE', 'XXXXXX', '681', '70382', 'Depreciation, amortization and provisions - Operating expenses', 1);
INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (70384, 'ENG-BASE', 'CHARGE', 'XXXXXX', '686', '70382', 'Depreciation, amortization and provisions - Financial expense', 1);
INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (70385, 'ENG-BASE', 'CHARGE', 'XXXXXX', '687', '70382', 'Depreciation, amortization and provisions - Extraordinary expenses', 1);
INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (70386, 'ENG-BASE', 'CHARGE', 'XXXXXX', '69', '71506', 'Employee participation - income tax and assimilated', 1);
INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (70387, 'ENG-BASE', 'CHARGE', 'XXXXXX', '691', '70386', 'Employee participation in results', 1);
INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (70388, 'ENG-BASE', 'CHARGE', 'XXXXXX', '695', '70386', 'Income taxes', 1);
INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (70389, 'ENG-BASE', 'CHARGE', 'XXXXXX', '696', '70386', 'Corporate income tax related to distributions', 1);
INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (70390, 'ENG-BASE', 'CHARGE', 'XXXXXX', '697', '70386', 'Annual corporation tax', 1);
INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (70391, 'ENG-BASE', 'CHARGE', 'XXXXXX', '698', '70386', 'Tax integration', 1);
INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (70392, 'ENG-BASE', 'CHARGE', 'XXXXXX', '699', '70386', 'Products - Reports back deficits', 1);
INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (70393, 'ENG-BASE', 'PROD', 'XXXXXX', '70', '71507', 'Sales of manufactured goods, services, goods', 1);
INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (70394, 'ENG-BASE', 'PROD', 'PRODUCT', '701', '70393', 'Sales of finished products', 1);
INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (70395, 'ENG-BASE', 'PROD', 'XXXXXX', '702', '70393', 'Sales of intermediate products', 1);
INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (70396, 'ENG-BASE', 'PROD', 'XXXXXX', '703', '70393', 'Sales of residual products', 1);
INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (70397, 'ENG-BASE', 'PROD', 'XXXXXX', '704', '70393', 'Works', 1);
INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (70398, 'ENG-BASE', 'PROD', 'XXXXXX', '705', '70393', 'Studies', 1);
INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (70399, 'ENG-BASE', 'PROD', 'SERVICE', '706', '70393', 'Services', 1);
INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (70400, 'ENG-BASE', 'PROD', 'PRODUCT', '707', '70393', 'Sale of goods', 1);
INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (70401, 'ENG-BASE', 'PROD', 'PRODUCT', '708', '70393', 'Income from ancillary activities', 1);
INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (70402, 'ENG-BASE', 'PROD', 'XXXXXX', '709', '70393', 'Discounts, rebates and rebates granted by the company', 1);
INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (70403, 'ENG-BASE', 'PROD', 'XXXXXX', '71', '71507', 'Stored production (or destocking)', 1);
INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (70404, 'ENG-BASE', 'PROD', 'XXXXXX', '713', '70403', 'Change in stocks (in-process production, products)', 1);
INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (70405, 'ENG-BASE', 'PROD', 'XXXXXX', '72', '71507', 'Immobilised production', 1);
INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (70406, 'ENG-BASE', 'PROD', 'XXXXXX', '721', '70405', 'Intangible assets', 1);
INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (70407, 'ENG-BASE', 'PROD', 'XXXXXX', '722', '70405', 'Property, plant and equipment', 1);
INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (70408, 'ENG-BASE', 'PROD', 'XXXXXX', '74', '71507', 'Operating grants', 1);
INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (70409, 'ENG-BASE', 'PROD', 'XXXXXX', '75', '71507', 'Other management products', 1);
INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (70410, 'ENG-BASE', 'PROD', 'XXXXXX', '751', '70409', 'Royalties for concessions, patents, licenses, trademarks, processes, software, rights and similar values', 1);
INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (70411, 'ENG-BASE', 'PROD', 'XXXXXX', '752', '70409', 'Income from buildings not used for professional purposes', 1);
INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (70412, 'ENG-BASE', 'PROD', 'XXXXXX', '753', '70409', 'Directors'' fees and remuneration of directors, managers, ...', 1);
INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (70413, 'ENG-BASE', 'PROD', 'XXXXXX', '754', '70409', 'Perceived refunds of cooperatives (from surplus)', 1);
INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (70414, 'ENG-BASE', 'PROD', 'XXXXXX', '755', '70409', 'Share of profits on transactions made jointly', 1);
INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (70415, 'ENG-BASE', 'PROD', 'XXXXXX', '758', '70409', 'Miscellaneous current management products', 1);
INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (70416, 'ENG-BASE', 'PROD', 'XXXXXX', '76', '71507', 'Financial products', 1);
INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (70417, 'ENG-BASE', 'PROD', 'XXXXXX', '761', '70416', 'Income from participations', 1);
INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (70418, 'ENG-BASE', 'PROD', 'XXXXXX', '762', '70416', 'Income from other financial assets', 1);
INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (70419, 'ENG-BASE', 'PROD', 'XXXXXX', '763', '70416', 'Revenue from other receivables', 1);
INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (70420, 'ENG-BASE', 'PROD', 'XXXXXX', '764', '70416', 'Income from marketable securities', 1);
INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (70421, 'ENG-BASE', 'PROD', 'XXXXXX', '765', '70416', 'Discounts obtained', 1);
INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (70422, 'ENG-BASE', 'PROD', 'XXXXXX', '766', '70416', 'Exchange gains', 1);
INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (70423, 'ENG-BASE', 'PROD', 'XXXXXX', '767', '70416', 'Net proceeds on disposals of marketable securities', 1);
INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (70424, 'ENG-BASE', 'PROD', 'XXXXXX', '768', '70416', 'Other financial income', 1);
INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (70425, 'ENG-BASE', 'PROD', 'XXXXXX', '77', '71507', 'Exceptional products', 1);
INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (70426, 'ENG-BASE', 'PROD', 'XXXXXX', '771', '70425', 'Extraordinary income from management operations', 1);
INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (70427, 'ENG-BASE', 'PROD', 'XXXXXX', '772', '70425', 'Account available to entities to record, during the financial year, the revenues over previous financial years', 1);
INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (70428, 'ENG-BASE', 'PROD', 'XXXXXX', '775', '70425', 'Proceeds from disposals of assets', 1);
INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (70429, 'ENG-BASE', 'PROD', 'XXXXXX', '777', '70425', 'Share of investment grants transferred to profit or loss for the year', 1);
INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (70430, 'ENG-BASE', 'PROD', 'XXXXXX', '778', '70425', 'Other extraordinary income', 1);
INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (70431, 'ENG-BASE', 'PROD', 'XXXXXX', '78', '71507', 'Reversals of depreciation and provisions', 1);
INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (70432, 'ENG-BASE', 'PROD', 'XXXXXX', '781', '70431', 'Reversals of depreciation and provisions (to be included in revenue)', 1);
INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (70433, 'ENG-BASE', 'PROD', 'XXXXXX', '786', '70431', 'Reversals of provisions for risks (to be recorded in financial income)', 1);
INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (70434, 'ENG-BASE', 'PROD', 'XXXXXX', '787', '70431', 'Reversals of provisions (to be recorded in exceptional income)', 1);
INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (70435, 'ENG-BASE', 'PROD', 'XXXXXX', '79', '71507', 'Transfers of charges', 1);
INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (70436, 'ENG-BASE', 'PROD', 'XXXXXX', '791', '70435', 'Transfers of operating expenses', 1);
INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (70437, 'ENG-BASE', 'PROD', 'XXXXXX', '796', '70435', 'Transfers of financial expenses', 1);
INSERT INTO llx_accounting_account (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label, active) VALUES (70438, 'ENG-BASE', 'PROD', 'XXXXXX', '797', '70435', 'Transfers of Exceptional Charges', 1);
